import { Context } from "../context/context";
import { BufferGeometry, Mesh, Object3D } from "three";
import { AibeeWallLayer } from "src/loader/AibeeLoader/type";
export declare class MergeAttributeWall extends Object3D {
    private context;
    options: AibeeWallLayer['mergedElements'][0];
    geometry?: BufferGeometry;
    Mesh?: Mesh;
    private originOpacities;
    constructor(context: Context, options: AibeeWallLayer['mergedElements'][0]);
    initGeometry(): Promise<void>;
    init(): Promise<void>;
    setOpacity(opacity: number, force?: boolean): void;
    dispose(): void;
}
